Package net.shibboleth.idp.saml.profile.impl

# Class IdPInitiatedSSORequest

java.lang.Object
net.shibboleth.idp.saml.profile.impl.IdPInitiatedSSORequest

@ThreadSafe public class IdPInitiatedSSORequest extends Object
Object representing a Shibboleth Authentication Request message. This message is used for IdP-initiated authentication requests and is defined by the Shibboleth Architecture Protocol and Profiles specification. Note, this document was written prior to the creation of SAML 2 and so only mentioned version 1 but this message may be used with either version. The SAML 2 authentication request should be used by SAML 2 service providers wishing to initiate authentication.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`acsURL`
The assertion consumer service endpoint, at the service provider, to which to deliver the authentication response.
`private final String`
`entityId`
The entityID of the requesting service provider.
`private final String`
`relayState`
An opaque value to be returned to the service provider with the authentication response.
`private final Instant`
`time`
The current time, at the service provider.

## Constructor Summary

Constructors
Constructor
Description
`IdPInitiatedSSORequest(String newEntityId, String url, String target, Instant newTime)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAssertionConsumerServiceURL()`
Get the assertion consumer service endpoint at the SP to which to deliver the response.
`String`
`getEntityId()`
Get the entityID of the requesting relying party.
`String`
`getRelayState()`
Get the opaque value to be returned to the SP with the response.
`Instant`
`getTime()`
Get the current time at the SP.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### entityId

@Nonnull @NotEmpty private final String entityId
The entityID of the requesting service provider.

### acsURL

@Nullable private final String acsURL
The assertion consumer service endpoint, at the service provider, to which to deliver the authentication response.

### relayState

@Nullable private final String relayState
An opaque value to be returned to the service provider with the authentication response.

### time

@Nonnull private final Instant time
The current time, at the service provider.

## Constructor Details

### IdPInitiatedSSORequest

public IdPInitiatedSSORequest(@Nonnull @NotEmpty String newEntityId, @Nullable String url, @Nullable String target, @Nullable Instant newTime)
Constructor.

If no message time is supplied, then the current time at the IdP is used.

Parameters:
  `newEntityId` - entity ID of the requesting SP
  `url` - assertion consumer service endpoint at the SP to which to deliver the response
  `target` - opaque value to be returned to the SP with the response
  `newTime` - current time at the SP

## Method Details

### getEntityId

@Nonnull @NotEmpty public String getEntityId()
Get the entityID of the requesting relying party.

Returns:
  entityID of the requesting relying party

### getAssertionConsumerServiceURL

@Nullable public String getAssertionConsumerServiceURL()
Get the assertion consumer service endpoint at the SP to which to deliver the response.

Returns:
  assertion consumer service endpoint at the SP to which to deliver the response

### getRelayState

@Nullable public String getRelayState()
Get the opaque value to be returned to the SP with the response.

Returns:
  opaque value to be returned to the SP with the response

### getTime

@Nonnull public Instant getTime()
Get the current time at the SP.

Returns:
  current time at the SP

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`